Bug 2615 - Start the "statd" service with no portmapper running
Summary: Start the "statd" service with no portmapper running
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rusers   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-06 21:34 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-27 21:08:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Evans 1999-05-06 21:34:06 UTC
Scenario: Portmapper is NOT running.
I type "/etc/rc.d/init.d/statd start"
The command returns indicating success - green OK
However statd has FAILED to start but falsely reported
success

Comment 1 Dale Lovelace 1999-05-27 17:42:59 UTC
Do you mean /etc/rc.d/init/rstatd ?

[root@gandalf /root]# /etc/rc.d/init.d/rstatd status
rpc.rstatd is stopped
[root@gandalf /root]# /etc/rc.d/init.d/portmap status
portmap (pid 19988) is running...
[root@gandalf /root]# /etc/rc.d/init.d/portmap stop
Stopping portmap services:          [  OK  ]
[root@gandalf /root]# /etc/rc.d/init.d/portmap status
portmap is stopped
[root@gandalf /root]# /etc/rc.d/init.d/rstatd start
Starting rstat services:            [  OK  ]
[root@gandalf /root]# /etc/rc.d/init.d/rstatd status
rpc.rstatd is stopped
[root@gandalf /root]# /etc/rc.d/init.d/portmap start
Starting portmapper:                [  OK  ]
[root@gandalf /root]# /etc/rc.d/init.d/rstatd start
Starting rstat services:            [  OK  ]
[root@gandalf /root]# /etc/rc.d/init.d/rstatd status
rpc.rstatd (pid 20075) is running...
[root@gandalf /root]#

Comment 2 Preston Brown 1999-08-27 21:07:59 UTC
fixed in the next release (6.1).


Note You need to log in before you can comment on or make changes to this bug.